// global variables

#include <stdint.h>
#include <avr/io.h>
#include <avr/eeprom.h>
#include <avr/pgmspace.h>

#include "main.h"
#include "globals.h"

// misc

uint8_t gTLC5940_data_DC[12] = 
    {0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF};   // TLC dot correction data

uint8_t gTLC5940_data_GS[24];               // TLC  grey scale data
uint16_t gevent_data[16];                   // event data
config_t gconfig;

volatile char gterminal_buffer[34];			// buffer for terminal commands
volatile uint8_t gflag_terminal;            // command flag
volatile uint8_t gflag_update;  
volatile uint8_t gflag_pwm;
volatile uint8_t gflag_new_event;
volatile uint8_t gnext_event;
volatile uint32_t gtimecount;
volatile uint32_t gtimebase;

// EEPROM

config_t gconfig_ee EEMEM = {
            MODE_BUS,           // modul mode
            1,                  // pwm prescaler mask
            0,                  // debounce time
            0                   // Imax code
};  
