typedef struct {
    uint8_t         mode;
    uint8_t         pwm_prescaler_mask;
    uint16_t        debounce;
    uint8_t         imax;
} config_t;

extern uint8_t gTLC5940_data_DC[12];                // TLC dot corretion data
extern uint8_t gTLC5940_data_GS[24];                // TLC grey scale data
extern uint16_t gevent_data[16];                    // event data

extern config_t gconfig;

extern volatile char gterminal_buffer[34];			      
extern volatile uint8_t gflag_terminal;
extern volatile uint8_t gflag_update;  
extern volatile uint8_t gflag_pwm;
extern volatile uint8_t gflag_new_event;
extern volatile uint8_t gnext_event;
extern volatile uint32_t gtimecount;
extern volatile uint32_t gtimebase;

// EEMEM

extern config_t gconfig_ee EEMEM;
